#ifndef LOAD_TEXTURE_Gl3_H
#define LOAD_TEXTURE_Gl3_H

#define GL3_PROTOTYPES 1
#include <GL3/gl3.h>
#include <iostream>
#include <string>
#include <math.h>
#include <SDL2/SDL.h>
#include <SDL/SDL_image.h>

#define __USE_MIP_MAP_OPENGL__

bool loadTextureGl3(GLuint & id, const std::string & fichierImage);


SDL_Surface* verticalMirror(const SDL_Surface *imageSource);



#endif
